.eyecatch {
  position: relative;
  max-height: 320px;
  margin-top: 60px;
  border-radius: 4px;
}

.eyecatch img {
  position: static !important;
  max-height: 320px !important;
  object-fit: cover;
}

.article {
  margin: 60px 0 120px;
}

.article h1 {
  font-size: 28px;
  font-weight: bold;
  margin-bottom: 16px;
  line-height: 1.5;
}

.article time {
  color: #293961;
  font-size: 12px;
  line-height: 100%;
}

.articleBody {
  margin-top: 60px;
}

.articleBody p {
  font-size: 16px;
  margin-bottom: 32px;
  line-height: 1.8;
  letter-spacing: 0.02em;
}

.articleBody h2 {
  position: relative;
  font-size: 22px;
  margin-top: 64px;
  margin-bottom: 32px;
  font-weight: bold;
  line-height: 1.5;
  padding: 8px 0 8px 14px;
  border-left: var(--primary-color) solid 5px;
}

.articleBody h3 {
  position: relative;
  font-size: 18px;
  margin-top: 60px;
  margin-bottom: 24px;
  font-weight: bold;
  line-height: 1.5;
  padding-left: 12px;
}

.articleBody h3::before {
  content: '';
  position: absolute;
  top: 50%;
  left: -12px;
  display: block;
  width: 16px;
  height: 4px;
  background-color: var(--primary-color);
}

@media screen and (max-width: 740px) {
  .articleBody h3 {
    padding-left: 16px;
  }
  .articleBody h3::before {
    left: 0;
    width: 8px;
  }
}

.articleBody h4 {
  font-size: 15px;
  margin-top: 42px;
  margin-bottom: 18px;
  font-weight: bold;
  line-height: 1.5;
}

.article a[target="_blank"]::after {
  content: url("/images/external-link-alt.svg");
  display: inline-block;
  width: 16px;
  vertical-align: middle;
  margin-left: 8px;
}

.articleBody *:not(pre, code) {
  word-wrap : break-word;
  overflow-wrap : break-word;
}

.articleBody ul,
.articleBody ol {
  margin-top: 32px;
  margin-bottom: 32px;
  padding: 16px 16px 16px 42px;
  background-color: var(--base-ultra-light-gray);
  border-radius: 4px;
}

.articleBody ul li,
.articleBody ol li {
  position: relative;
  line-height: 1.5;
  font-size: 14px;
  letter-spacing: 0.02em;
}

.articleBody ul li::before {
  content: '';
  position: absolute;
  top: 8px;
  left: -18px;
  display: block;
  width: 4px;
  height: 4px;
  background-color: var(--base-black);
  border-radius: 2px;
}

.articleBody ul li:not(:last-child),
.articleBody ol li:not(:last-child) {
  margin-bottom: 8px;
}

.articleBody ol {
  counter-reset: item;
  list-style-type: none;
}

.articleBody ol li::before {
  counter-increment: item;
  content: counter(item)'.';
  position: absolute;
  top: 0px;
  left: -20px;
}

.articleBody pre code {
  font-family: 'JetBrains Mono', monospace;
  line-height: 1.5;
  padding: 12px;
  font-size: 16px;
  margin-top: 32px;
  margin-bottom: 32px;
  border-radius: 4px;
}

.articleBody pre code span {
  font-family: 'JetBrains Mono', monospace;
}

.articleBody p code,
.articleBody li code {
  font-family: 'JetBrains Mono', monospace;
  color: #f38d2e;
  background-color: var(--base-ultra-light-gray);
  padding: 2px 4px;
  border-radius: 4px;
}

.articleBody [data-media="youtube"] {
  position:relative;
  padding-top: 56.5%;
  margin: 32px auto;
}

.articleBody [data-media="youtube"] iframe {
  position: absolute;
  top: 0;
  left:0;
  right: 0;
  bottom: 0;
  width: 100%;
  height: 100%;
}

.articleBody table {
  display: block;
  background-color: #fff;
  margin-top: 32px;
  margin-bottom: 32px;
  overflow-x: scroll;
  white-space: nowrap;
  -webkit-overflow-scrolling: touch;
}

.articleBody table thead {
  color: var(--base-gray);
}

.articleBody table td, 
.articleBody table th {
  padding: 12px;
  border-width: 1px;
  border: 1px solid var(--base-light-gray);
}

.articleBody table tr:last-child th {
  border-bottom-width: 1px;
}

.articleBody table tbody tr:not(.is-selected):nth-child(even) {
  background-color: var(--base-ultra-light-gray);
}

.articleBody blockquote {
  position: relative;
  padding: 16px 24px;
  background-color: var(--base-ultra-light-gray);
  border-radius: 4px;
  margin-bottom: 32px;
}

.articleBody blockquote::before {
  content: '"';
  position: absolute;
  top: 4px;
  left: 4px;
  font-size: 32px;
  color: var(--base-light-gray);
  transform: rotate(12deg);
}

.articleBody blockquote::after {
  content: '"';
  position: absolute;
  bottom: -14px;
  right: 8px;
  font-size: 32px;
  color: var(--base-light-gray);
  transform: rotate(12deg);
}

.articleBody blockquote p {
  font-size: 14px;
}

.articleBody blockquote p:last-child {
  margin-bottom: 0;
}

.articleBody img {
  width: 100%;
  margin-bottom: 24px;
}

.profile {
  margin-bottom: 60px;
}

.navigation {
  text-align: center;
  margin-bottom: 120px;
}

.navigation a {
  cursor: pointer;
}